### Name: classification
### Title: General method for classification with various methods
### Aliases: classification
### Keywords: multivariate

### ** Examples

### a simple k-nearest neighbour example
### datasets
## Not run: 
##D plot(x)
##D data(golub)
##D golubY <- golub[,1]
##D golubX <- as.matrix(golub[,-1])
##D ### learningsets
##D set.seed(111)
##D lset <- GenerateLearningsets(y=golubY, method = "CV", fold=5, strat =TRUE)
##D ### 1. GeneSelection
##D selttest <- GeneSelection(golubX, golubY, learningsets = lset, method = "t.test")
##D ### 2. tuning
##D tunek <- tune(golubX, golubY, learningsets = lset, genesel = selttest, nbgene = 20, classifier = knnCMA)
##D ### 3. classification
##D knn1 <- classification(golubX, golubY, learningsets = lset, genesel = selttest,
##D                        tuneres = tunek, nbgene = 20, classifier = knnCMA)
##D ### steps 1.-3. combined into one step:
##D knn2 <- classification(golubX, golubY, learningsets = lset,
##D                        genesellist = list(method  = "t.test"), classifier = knnCMA,
##D                        tuninglist = list(grids = list(k = c(1:8))), nbgene = 20)
##D ### show and analyze results:
##D knnjoin <- join(knn2)
##D show(knn2)
##D eval <- evaluation(knn2, measure = "misclassification")
##D show(eval)
##D summary(eval)
##D boxplot(eval)
## End(Not run)



