### Name: compare
### Title: Compare different classifiers
### Aliases: compare
### Keywords: multivariate

### ** Examples

## Not run: 
##D ### compare the performance of several discriminant analysis methods
##D ### for the Khan dataset:
##D data(khan)
##D khanX <- as.matrix(khan[,-1])
##D khanY <- khan[,1]
##D set.seed(27611)
##D fiveCV10iter <- GenerateLearningsets(y=khanY, method = "CV", fold = 5, niter = 2, strat = TRUE)
##D ### candidate methods:  DLDA, LDA, QDA, pls_LDA, sclda
##D class_dlda <- classification(X = khanX, y=khanY, learningsets = fiveCV10iter, classifier = dldaCMA)
##D ### peform GeneSlection for LDA, FDA, QDA (using F-Tests):
##D genesel_da <- GeneSelection(X=khanX, y=khanY, learningsets = fiveCV10iter, method = "f.test")
##D ###
##D class_lda <- classification(X = khanX, y=khanY, learningsets = fiveCV10iter, classifier = ldaCMA, genesel= genesel_da, nbgene = 10)
##D 
##D class_qda <- classification(X = khanX, y=khanY, learningsets = fiveCV10iter, classifier = qdaCMA, genesel = genesel_da, nbgene = 2)
##D 
##D ### We now make a comparison concerning the performance (sev. measures):
##D ### first, collect in a list:
##D dalike <- list(class_dlda, class_lda, class_qda)
##D ### use pre-defined compare function:
##D comparison <- compare(dalike, plot = TRUE, measure = c("misclassification", "brier score", "average probability"))
##D print(comparison)
## End(Not run)



