### Name: tune
### Title: Hyperparameter tuning for classifiers
### Aliases: tune
### Keywords: multivariate

### ** Examples

## Not run: 
##D ### simple example for a one-dimensional grid, using compBoostCMA.
##D ### dataset
##D data(golub)
##D golubY <- golub[,1]
##D golubX <- as.matrix(golub[,-1])
##D ### learningsets
##D set.seed(111)
##D lset <- GenerateLearningsets(y=golubY, method = "CV", fold=5, strat =TRUE)
##D ### tuning after gene selection with the t.test
##D tuneres <- tune(X = golubX, y = golubY, learningsets = lset,
##D               genesellist = list(method = "t.test"),
##D               classifier=compBoostCMA, nbgene = 100,
##D               grids = list(mstop = c(50, 100, 250, 500, 1000)))
##D ### inspect results
##D show(tuneres)
##D best(tuneres)
##D plot(tuneres, iter = 3)
## End(Not run)



